link_directories(${AMDiS_LIBRARY_DIRS})
include_directories(${AMDiS_INCLUDE_DIR})

#load mpi-compiler for use with parmetis and parallel_domain
if(${AMDiS_HAS_PARALLEL_DOMAIN})
	if(NOT ${AMDiS_NEED_PARMETIS})
	  message(SEND_ERROR "parallel domain needs parmetis, but AMDiS was not compiled with parmetis support. There's something really odd..")
	else()
	  find_package(MPI REQUIRED)
	  if(MPI_FOUND)
	    INCLUDE(CMakeForceCompiler)
	    CMAKE_FORCE_CXX_COMPILER(mpicxx "The MPI C++ compiler")
	    CMAKE_FORCE_C_COMPILER(mpicc "The MPI C Compiler")
	  endif(MPI_FOUND)
	endif(NOT ${AMDiS_NEED_PARMETIS})
endif(${AMDiS_HAS_PARALLEL_DOMAIN})
